
Ruby - Bug #20740

prism_compile coding issue for PM_FORWARDING_SUPER_NODE

09/13/2024 04:44 PM - luke-gru (Luke Gruber)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 3.1: UNKNOWN, 3.2: UNKNOWN, 3.3:

UNKNOWN

Description

I found a coding issue in prism_compile.c but I can't find a bug that would result from it.

The current_block is not set back when a block is given.

Associated revisions

Revision c14b60630d680addd5b4ef9c9b159a26a5446483 - 09/18/2024 03:52 PM - luke-gru (Luke Gruber)

Fix coding issue in prism_compile.c

Make sure to set back ISEQ_COMPILE_DATA(iseq)->current_block for

forwarding super nodes with a block.

Fixes [Bug #20740]

Revision c14b60630d680addd5b4ef9c9b159a26a5446483 - 09/18/2024 03:52 PM - luke-gru (Luke Gruber)

Fix coding issue in prism_compile.c

Make sure to set back ISEQ_COMPILE_DATA(iseq)->current_block for

forwarding super nodes with a block.

Fixes [Bug #20740]

Revision c14b6063 - 09/18/2024 03:52 PM - luke-gru (Luke Gruber)

Fix coding issue in prism_compile.c

Make sure to set back ISEQ_COMPILE_DATA(iseq)->current_block for

forwarding super nodes with a block.

Fixes [Bug #20740]

History

#1 - 09/13/2024 04:45 PM - luke-gru (Luke Gruber)

PR here: https://github.com/ruby/ruby/pull/11621

#2 - 09/18/2024 04:42 PM - luke-gru (Luke Gruber)

- Status changed from Open to Closed

Applied in changeset git|c14b60630d680addd5b4ef9c9b159a26a5446483.

Fix coding issue in prism_compile.c

Make sure to set back ISEQ_COMPILE_DATA(iseq)->current_block for

forwarding super nodes with a block.

Fixes [Bug #20740]
